Subject: Re: [PATCH 6/7] sky2: no recycling

From: Stephen Hemminger <[email-masked]>
Date: Wed, 19 Aug 2009 12:58:25 -0700

On Tue, 18 Aug 2009 18:17:10 -0700
Stephen Hemminger <[email-masked]> wrote:

> Recycling turns out to be a bad idea!  For most use cases, the
> packet can not be reused: TCP packets are cloned. Even for the ideal
> case of forwarding, it hurts performance because of CPU ping/pong.
> On a multi-core system forwarding of 64 byte packets is worse
> much worse: recycling = 24% forwarded vs no recycling = 42% forwarded

Minor correction on numbers.  The actual data for unidirectional
forwarding is 30% vs 24%. Previous data had hardware flow/control enabled
which skewed the numbers.